सवाल मैं AbiWord संस्करण 2.8.6 पर डाउनग्रेड कैसे कर सकता हूं?


AbiWord संस्करण (2.9.2) जो स्थापित है (मेरे मामले में लुबंटू के साथ) में कई कीड़े हैं! क्या किसी को पता है कि जब उबंटू इसे वापस स्थिर संस्करण (2.8.6) पर स्विच करेगा?


4
2017-07-05 17:55


मूल


मुझे बहुत संदेह है कि ऐसा होगा। किसी भी मामले में, आप भी साइन अप कर सकते हैं लुबंटू मेलिंग सूची और वहां से पूछो।
अगर आपको चीजों को ठीक करने में लग रहा है, तो जांचें यह धागा और आपके द्वारा वर्णित संस्करण को स्थापित करने के सुझाव एक पीपीए से। ध्यान दें कि मैंने इनमें से किसी भी कोशिश नहीं की है।


जवाब:


हमने अब 3 रिलीज के लिए abiword 2.9 किया है, लेकिन ऐसा लगता है यह दुर्घटना से जोड़ा जा सकता है। मान लीजिए कि यह मामला है, कार्रवाई का सबसे उचित तरीका है होगा शायद अगली रिलीज के लिए 2.8 की पेशकश करनी होगी, और उपयोगकर्ताओं को इसे स्थापित करने की अनुमति देने वाले बैकपोर्ट की पेशकश करें।

यह दो तरीकों से पूरा किया जा सकता है:

  • एक अलग नामित पैकेज की पेशकश जो 2.8 प्रदान करता है, भले ही 2.9 उपलब्ध हो (उदाहरण के लिए, पैकेज को कॉल किया जा सकता है abiword-2.8 के बजाय abiword (यदि यह किसी ऐसे तरीके से नहीं बनाया गया है जो दोनों को एक समय में स्थापित करने की अनुमति देता है, तो इसकी निर्भरताएं इसे प्रतिबिंबित कर सकती हैं, जिनमें से अधिकांश में मजबूर होना abiword तथा abiword-2.8 स्थापित करने के लिए)।

  • द्वारा प्रदान किए गए संस्करण को डाउनग्रेड करना abiword (बाद में रिलीज में) 2.8 पर, लेकिन इसे एक उच्च संस्करण संख्या के साथ नामकरण करना ताकि यह वास्तव में उस सिस्टम पर स्थापित हो जो पहले से ही abiword 2.9 है।

    नवीनतम (और केवल) के लिए संस्करण स्ट्रिंग abiword रियरिंग में पैकेज है 2.9.2+svn20120603-8; saucy-updates वर्तमान में है 3.0.0~svn20130523-1ubuntu2। बाद के संस्करणों के संकुल पूर्व संस्करणों के संकुल (यानी, डिफ़ॉल्ट रूप से अधिष्ठापन के लिए प्राथमिकता प्राप्त करते हैं)।

    लेकिन अगर abiword 2.8 प्रदान करने वाला एक पैकेज संस्करण स्ट्रिंग दिया गया था 3.0.0+actually2.8.6, पैकेज प्रबंधक इसे बाद के संस्करण के रूप में देखेगा। (यह किसी भी पीपीए में भी प्रदान किया जा सकता है, अगर कोई काम करना चाहता है - मुझे एबीवार्ड को संकलित करने में आश्चर्यजनक रूप से मुश्किल लग रही है, कम से कम जब मैं उन सभी सुविधाओं को शामिल करने का प्रयास करता हूं जो किसी को उचित रूप से उपस्थित होने की उम्मीद कर सकते हैं। एक आधिकारिक पैकेज शायद इसे नहीं कहा जाएगा क्योंकि यह पैकेज के लिए नामकरण सम्मेलनों के अनुरूप नहीं है - इस तरह उबंटू-विशिष्ट संस्करणों में ubuntu उनके नामों में - लेकिन मेरा मानना ​​है कि यह स्वीकार किए गए नामकरण सम्मेलनों के भीतर पूरा किया जा सकता है।)

पीपीए की बात करते हुए, वासा 1 ने बताया है उस वहां (कम से कम) एक हैलियोनेल ले फोल्गोक का पीपीए abiword 2.8.2 प्रदान करता है (और यह उपरोक्त वर्णित संस्करण योजना का उपयोग करता है: संस्करण स्ट्रिंग है 2.9.2+svn20120213really2.8.6-0ubuntu0.1~ppa1)। हालांकि, पीपीए दुर्भाग्यवश केवल सटीक के लिए abiword 2.8.2 प्रदान करता है। (यदि आप उस पृष्ठ पर "प्रकाशित" ड्रॉप-डाउन मेनू में एक अलग संस्करण का चयन करते हैं, तो यह दिखाई नहीं देगा।)

सभी ने कहा, abiword के लिए एक डाउनग्रेड Ubuntu पैकेज होगा शायद ऩही आधिकारिक तौर पर पेश किया जाना चाहिए। यह है क्योंकि:

  • प्रत्येक रिलीज के साथ abiword का विकास संस्करण बेहतर और बेहतर (समग्र, और स्थिरता के मामले में) हो जाता है। आपके द्वारा अनुभव किए गए अधिकांश या सभी बग शायद बाद में विकास रिलीज में तय किए गए हैं। यही कारण है कि एक स्थिर उबंटू रिलीज में एक जमे हुए विकास संस्करण को शामिल करना मूर्खतापूर्ण है - इसमें बहुत सारी बगियां होंगी जिन्हें तब तक तय नहीं किया जाएगा जब तक कि एसआरयू proccess किया जाता है। पिछले कुछ उबंटू रिलीज में एबियोड के लिए यह प्रक्रिया नहीं हुई है। लेकिन इसका मतलब यह भी है कि अगले विकास संस्करण की पेशकश अधिकांश बग को ठीक करेगी।

  • मुझे यकीन नहीं है कि जब एबीवार्ड 3 में एक स्थिर अपस्ट्रीम रिलीज होगा (यानी, अबीवार्ड प्रोजेक्ट से एक स्थिर रिलीज होगी, जिसे डेबियन, उबंटू और अन्य जीएनयू / लिनक्स सिस्टम जैसे ओएस में आधिकारिक डाउनस्ट्रीम समावेशन के लिए पैक किया जा सकता है)। लेकिन ऐसा लगता है कि एक रिलीज - या कम से कम बीटा - आने वाला है। उम्मीद है कि इसे सॉसी में बनाने के लिए समय पर रिलीज़ किया जाएगा। 2.9 ... से 3.0 तक संस्करण संख्या में परिवर्तन ... उम्मीद है कि एक रिलीज जल्द ही आ रहा है।

  • जीटीके + 2.0 है अभी भी पैक किया गया उबंटू के नवीनतम संस्करणों के लिए, लेकिन पोर्ट ऐप्स को जीटीके + 3.0 पर धक्का दिया गया है, क्योंकि इससे आज के डेस्कटॉप वातावरण के साथ बेहतर एकीकरण हो सकता है, और अंततः जीटीके + 2.0 हो सकता है पदावनत हटाने के लिए।

मैंने एक उचित उत्तर देने की कोशिश की है जिसमें प्रासंगिक शामिल है   तथ्यों ("अच्छा व्यक्तिपरक")। ये है सीडब्ल्यू तो यह आसान है   अद्यतन करने / सुधारने के लिए कोई भी। उस के साथ कहा, अगर आप शुरू करना चाहते हैं या   भाग लेना एक पूर्ण उड़ा चर्चा इस विषय के, कुछ जगह   पसंद उबंटू मंच बेहतर होगा


4